package com.yutou.jianr_mg.Data;

public class MapNode {
    private int id;
    private String flag;
    private int chapter;
    private int level;
    private int level_pve_id;
    private int level_type;
    private int type;
    private String type_desc;
    private String node_name;
    private String level_name;
    private String chapter_name;
    private String chapter_sub_name;
    private String chapter_tag;

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getFlag() {
        return flag;
    }

    public void setFlag(String flag) {
        this.flag = flag;
    }

    public int getChapter() {
        return chapter;
    }

    public void setChapter(int chapter) {
        this.chapter = chapter;
    }

    public int getLevel() {
        return level;
    }

    public void setLevel(int level) {
        this.level = level;
    }

    public int getLevel_pve_id() {
        return level_pve_id;
    }

    public void setLevel_pve_id(int level_pve_id) {
        this.level_pve_id = level_pve_id;
    }

    public int getLevel_type() {
        return level_type;
    }

    public void setLevel_type(int level_type) {
        this.level_type = level_type;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public String getType_desc() {
        return type_desc;
    }

    public void setType_desc(String type_desc) {
        this.type_desc = type_desc;
    }

    public String getNode_name() {
        return node_name;
    }

    public void setNode_name(String node_name) {
        this.node_name = node_name;
    }

    public String getLevel_name() {
        return level_name;
    }

    public void setLevel_name(String level_name) {
        this.level_name = level_name;
    }

    public String getChapter_name() {
        return chapter_name;
    }

    public void setChapter_name(String chapter_name) {
        this.chapter_name = chapter_name;
    }

    public String getChapter_sub_name() {
        return chapter_sub_name;
    }

    public void setChapter_sub_name(String chapter_sub_name) {
        this.chapter_sub_name = chapter_sub_name;
    }

    public String getChapter_tag() {
        return chapter_tag;
    }

    public void setChapter_tag(String chapter_tag) {
        this.chapter_tag = chapter_tag;
    }

    @Override
    public String toString() {
        return "MapNode{" +
                "id=" + id +
                ", flag='" + flag + '\'' +
                ", chapter=" + chapter +
                ", level=" + level +
                ", level_pve_id=" + level_pve_id +
                ", level_type=" + level_type +
                ", type=" + type +
                ", type_desc='" + type_desc + '\'' +
                ", node_name='" + node_name + '\'' +
                ", level_name='" + level_name + '\'' +
                ", chapter_name='" + chapter_name + '\'' +
                ", chapter_sub_name='" + chapter_sub_name + '\'' +
                ", chapter_tag='" + chapter_tag + '\'' +
                '}';
    }
}
